diff options
author | Justus Winter <[email protected]> | 2016-09-20 09:34:42 +0000 |
---|---|---|
committer | Justus Winter <[email protected]> | 2016-09-20 13:55:02 +0000 |
commit | c644962fcfe988c8b70bf705b0f1553fa9bfbf52 (patch) | |
tree | c2d3f40bbaad24d46f9329d1acd5ee6eba6ebe23 /tests/openpgp/use-exact-key.test | |
parent | tests: Port the quick key manipulation test to Scheme. (diff) | |
download | gnupg-c644962fcfe988c8b70bf705b0f1553fa9bfbf52.tar.gz gnupg-c644962fcfe988c8b70bf705b0f1553fa9bfbf52.zip |
tests: Drop the old shell-based tests.
--
Signed-off-by: Justus Winter <[email protected]>
Diffstat (limited to '')
-rwxr-xr-x | tests/openpgp/use-exact-key.test | 55 |
1 files changed, 0 insertions, 55 deletions
diff --git a/tests/openpgp/use-exact-key.test b/tests/openpgp/use-exact-key.test deleted file mode 100755 index 3745a2dc8..000000000 --- a/tests/openpgp/use-exact-key.test +++ /dev/null @@ -1,55 +0,0 @@ -#!/bin/sh - -. $srcdir/defs.inc || exit 3 - -# set -x - -# Make sure $srcdir is set. -if test "x$srcdir" = x -then - echo srcdir environment variable not set! - exit 1 -fi - -# Import the sample key -# -# pub 1024R/8BC90111 2015-12-02 -# Key fingerprint = E657 FB60 7BB4 F21C 90BB 6651 BC06 7AF2 8BC9 0111 -# uid [ultimate] Barrett Brown <[email protected]> -# sub 1024R/3E880CFF 2015-12-02 (encryption) -# sub 1024R/F5F77B83 2015-12-02 (signing) -# sub 1024R/45117079 2015-12-02 (encryption) -# sub 1024R/1EA97479 2015-12-02 (signing) -info "Importing public key." -if $GPG --import $srcdir/samplekeys/E657FB607BB4F21C90BB6651BC067AF28BC90111.asc -then - : -else - error "$k: import failed" -fi - -# By default, the most recent, valid signing subkey (1EA97479). -for x in 8BC90111 3E880CFF F5F77B83 45117079 1EA97479 -do - if ! echo | $GPG -s -u "$x" | $GPG --verify --status-fd=1 \ - | grep 'VALIDSIG 5FBA84ACE02DCB17DA3DFF6BBCA43C441EA97479' >/dev/null - then - echo | $GPG -s -u "$x" | $GPG --verify --status-fd=2 - error "Unexpected key used for signing (not the signing subkey, specified \"$x\")." - exit 1 - fi -done - -# But, if we request a particular signing key, we should get it. -for x in 8BC90111 F5F77B83 1EA97479 -do - if ! echo | $GPG -s -u "$x!" | $GPG --verify --status-fd=1 \ - | grep "VALIDSIG [0-9A-F]*$x " >/dev/null - then - echo | $GPG -s -u "$x!" | $GPG --verify --status-fd=2 - error "Unexpected key used for signing (specified: \"$x!\")." - exit 1 - fi -done - -exit 0 |